<script setup lang="ts">
import { useStockDetailStore } from '../../stores/stockDetail'

const stockDetailStore = useStockDetailStore()
</script>

<template>
  <v-dialog v-model="stockDetailStore.dialogDelete" max-width="500px">
    <v-toolbar>Delete Stock Detail</v-toolbar>
    <v-card>
      <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="stockDetailStore.closeDelete"
          >Cancel</v-btn
        >
        <v-btn
          color="blue-darken-1"
          variant="text"
          @click="stockDetailStore.deleteItemConfirm(stockDetailStore.editedStockDetail)"
          >OK</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
